<?php
/**
 * The search results template file.
 * @package BrightNews
 * @since BrightNews 1.0.0
*/
get_header(); ?>
  
<div id="main-content">
  <div id="content">     
<?php if ( have_posts() ) : ?>     
      <div class="entry-headline-wrapper">
        <div class="entry-headline-content">
          <div class="entry-headline-pattern"></div><h1 class="entry-headline"><?php printf( __( 'Search Results for: %s', 'brightnews' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
        </div>
      </div>
      <p class="number-of-results"><?php _e( '<strong>Number of Results</strong>: ', 'brightnews' ); ?><?php echo $wp_query->found_posts; ?></p>      
<?php $args = array(
	'post_status' => 'publish'
);
$query = new WP_Query( $args );                
while (have_posts()) : the_post(); ?> 
      <article <?php post_class('post-entry'); ?>>
        <h2 class="post-entry-headline"><a href="<?php echo get_permalink(); ?>"><?php the_title(); ?></a></h2>
        <p class="post-info"><span class="post-info-author"><?php the_author_posts_link(); ?></span><span class="post-info-date"><a href="<?php echo get_permalink(); ?>"><?php echo get_the_date(); ?></a></span><?php if ( comments_open() ) : ?><span class="post-info-comments"><a href="<?php comments_link(); ?>"><?php comments_number( '0', '1', '%' ); ?></a></span><?php endif; ?></p>
        <div class="post-content">
<?php if ( has_post_thumbnail() ) : ?>
          <div class="post-thumbnail">
            <a href="<?php echo get_permalink(); ?>"><?php the_post_thumbnail(); ?></a>
          </div>
<?php endif; ?>
          <div class="post-entry-content"><?php global $more; $more = 0; ?><?php the_content(); ?></div>
        </div>
<?php if ( has_tag() ) { ?>
        <div class="post-meta">
            <p class="post-info post-category"><?php the_tags( '<span class="post-info-tags">', ', ', '</span>' ); ?></p>
        </div>
<?php } ?>
      </article>
<?php endwhile; ?>

<?php if ( $wp_query->max_num_pages > 1 ) : ?>
		<div class="navigation" role="navigation">
			<h2 class="navigation-headline section-heading"><?php _e( 'Search results navigation', 'brightnews' ); ?></h2>
			<p class="nav-next"><?php previous_posts_link( __( '<span class="meta-nav">&larr;</span> Previous results', 'brightnews' ) ); ?></p>
      <p class="nav-previous"><?php next_posts_link( __( 'Next results <span class="meta-nav">&rarr;</span>', 'brightnews' ) ); ?></p>
		</div>
<?php endif; ?>

<?php else : ?>
    <div class="entry-headline-wrapper">
        <div class="entry-headline-content">
          <div class="entry-headline-pattern"></div><h1 class="entry-headline"><?php _e( 'Nothing Found', 'brightnews' ); ?></h1>
        </div>
      </div>
    <p><?php _e( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'brightnews' ); ?></p>
    <?php get_search_form(); ?>
<?php endif; ?>      
  </div> <!-- end of content -->   
<?php get_sidebar(); ?>
</div> <!-- end of main-content -->  
<?php get_footer(); ?>